WinShopAPI docs
ReferenceItem lists

Companies / Functions of representatives

GET
/api/item-lists/companies/functions-of-representatives

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Response Body

application/json
  1. response
[index: integer]?
curl -X GET 'https://<your-instance>/api/item-lists/companies/functions-of-representatives' \  -H 'Authorization: Bearer <access-token>'
[  {    "function": "string",    "id": 0  }]
POST
/api/item-lists/companies/functions-of-representatives

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Request Body

application/json
  1. body
function?|
Lengthlength <= 80
id?integer
Formatint32

Response Body

application/json
  1. response
function?|
Lengthlength <= 80
id?integer
Formatint32
curl -X POST 'https://<your-instance>/api/item-lists/companies/functions-of-representatives' \  -H 'Authorization: Bearer <access-token>' \  -H 'Content-Type: application/json' \  -d '{}'
{  "function": "string",  "id": 0}
GET
/api/item-lists/companies/functions-of-representatives/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Response Body

application/json
  1. response
function?|
Lengthlength <= 80
id?integer
Formatint32
curl -X GET 'https://<your-instance>/api/item-lists/companies/functions-of-representatives/0' \  -H 'Authorization: Bearer <access-token>'
{  "function": "string",  "id": 0}
PATCH
/api/item-lists/companies/functions-of-representatives/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Request Body

application/json
  1. body
function?|
Lengthlength <= 80
id?integer
Formatint32

Response Body

application/json
  1. response
function?|
Lengthlength <= 80
id?integer
Formatint32
curl -X PATCH 'https://<your-instance>/api/item-lists/companies/functions-of-representatives/0' \  -H 'Authorization: Bearer <access-token>' \  -H 'Content-Type: application/json' \  -d '{}'
{  "function": "string",  "id": 0}
DELETE
/api/item-lists/companies/functions-of-representatives/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Response Body

curl -X DELETE 'https://<your-instance>/api/item-lists/companies/functions-of-representatives/0' \  -H 'Authorization: Bearer <access-token>'
Empty